Bug 138507 - FILEOPEN: error discovered in the file in sub-document content.xml (fastparser)
Summary: FILEOPEN: error discovered in the file in sub-document content.xml (fastparser)
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
7.1.0.0.beta1+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:7.2.0 target:7.1.0.0.beta2
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2020-11-26 10:00 UTC by Xisco Faulí
Modified: 2020-11-27 14:36 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2020-11-26 10:00:31 UTC
Steps to reproduce:
1. Open attachment 167010 [details] from bug 136272

-> ERROR -> Read Error. Format error discovered in the file in sub-document content.xml at 1822,182(row,col).

Reproduced in

Version: 7.1.0.0.beta1+
Build ID: f3e7e5a6aa4d3eafb584f5d22c1a31bb0a3dd496
CPU threads: 4; OS: Linux 5.7; UI render: default; VCL: x11
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded
Comment 1 Xisco Faulí 2020-11-26 10:01:56 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=3de38e95561ab7ca114d9f3307702ba89c4e3e9a

author	Noel Grandin <noelgrandin@gmail.com>	2020-11-10 19:20:06 +0200
committer	Noel Grandin <noel.grandin@collabora.co.uk>	2020-11-11 06:33:53 +0100
commit	3de38e95561ab7ca114d9f3307702ba89c4e3e9a (patch)
tree	5d4c84a81e68897f325f67bc92b326ae48805f9a
parent	cc1e6ee2dd4609c27cb7a09aa47a779592a3e22c (diff)
use fastparser in forms

Bisected with: bibisect-linux64-7.1

Adding Cc: to Noel Grandin
Comment 2 Commit Notification 2020-11-27 07:06:57 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/3faf503b1a389affcff1bcbd63630963f634e486

tdf#138507 error in loading form

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Xisco Faulí 2020-11-27 09:54:58 UTC
Verified in

Version: 7.2.0.0.alpha0+
Build ID: f45ce257c9a9b2aea3fd939ce0ac326bee36acdd
CPU threads: 4; OS: Linux 5.7; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

@Noel, thanks for fixing this issue!!
Comment 4 Commit Notification 2020-11-27 10:56:32 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "libreoffice-7-1":

https://git.libreoffice.org/core/commit/274cb276b2542b782988b1ced7347f2e8ce76c26

tdf#138507 error in loading form

It will be available in 7.1.0.0.beta2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2020-11-27 14:36:32 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/33e0221cac467d32debe4fab6592517b0c1c195e

tdf#138507: sc_subsequent_filters: Add unittest

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.